Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book
Class DisplaySelectPane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.crosswire.bibledesktop.book.DisplaySelectPane

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, EventListener, Accessible, KeyChangeListener

    public class DisplaySelectPane

extends JPanel
implements KeyChangeListener

Passage Selection area.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: DisplaySelectPane.java,v 1.28 2005/03/25 04:02:49 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`private ActionFactory` | `actions`
`private AdvancedSearchPane` | `advanced`
`private static String` | `ADVANCED`
`private static int` | `base`
`private static String` | `BIBLE`
`private JButton` | `btnAdvanced`
`private JButton` | `btnIndex`
`private JButton` | `btnKey`
`private JButton` | `btnKeyGo`
`private JButton` | `btnSearch`
`private JCheckBox` | `chkMatch`
`private QuickHelpDialog` | `dlgHelp`
`private PassageSelectionPane` | `dlgSelect`
`private static String` | `GO_PASSAGE`
`private static String` | `GO_SEARCH`
`private static String` | `HELP`
`private static ImageIcon` | `ICON_SELECT`
`private static String` | `INDEX`
`private List` | `listeners`
`private static String` | `MATCH`
`private BooksComboBoxModel` | `mdlBible`
`private static String` | `MORE`
`private static String` | `PASSAGE_FIELD`
`private PropertyChangeListener` | `pcl` Keep the selection up to date with indexing.
`private static String` | `SEARCH_FIELD`
`private static String` | `SEARCH_LABEL`
`private Book` | `selected`
`private static long` | `serialVersionUID` Serialization ID
`private String` | `title`
`private JTextField` | `txtKey`
`private JTextField` | `txtSearch`
`private static String` | `VIEW_LABEL`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DisplaySelectPane()` General constructor

Method Summary
`void` | `addCommandListener(DisplaySelectListener li)` Add a command listener
`protected void` | `changeVersion()` Someone changed the version combo
`void` | `clear()`
`void` | `doAdvanced()` Someone has clicked on the advanced search button
`void` | `doGoPassage()` Go button was clicked
`void` | `doGoSearch()` Go button was clicked
`void` | `doHelpAction()` Someone clicked help
`void` | `doIndex()` Someone clicked one the index button
`void` | `doMatch()` Match is an action, but we don't need to do anything because match is only used when search is clicked.
`void` | `doMore()` More (...) button was clicked
`void` | `doPassageAction()` Someone pressed return in the passage area
`void` | `doSearchAction()` Someone pressed return in the search area
`protected void` | `enableComponents()` Ensure that the right components are enabled
`protected void` | `fireCommandMade(DisplaySelectEvent ev)` Inform the command listeners
`protected void` | `fireVersionChanged(DisplaySelectEvent ev)` Inform the version listeners
`Book` | `getBook()` What is the currently selected Book?
`String` | `getTitle()` Accessor for the default name
`private void` | `initialize()` Initialize the GUI
`boolean` | `isClear()`
`void` | `keyChanged(KeyChangeEvent ev)` This method is called to indicate that a key has been changed.
`private void` | `noBookInstalled()` Display a dialog indicating that no Bible is installed.
`void` | `removeCommandListener(DisplaySelectListener li)` Remove a command listener
`void` | `setText(String text)` Sets the default name
`void` | `setTitle(String title)` Sets the default name
`protected void` | `showSelectDialog()` Someone clicked the "..." button
`private void` | `updateDisplay()` Sync the viewed passage with the passage text box

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pcl

    private PropertyChangeListener pcl

  Keep the selection up to date with indexing.

### VIEW_LABEL

    private static final String VIEW_LABEL

See Also:
  Constant Field Values

### PASSAGE_FIELD

    private static final String PASSAGE_FIELD

See Also:
  Constant Field Values

### MORE

    private static final String MORE

See Also:
  Constant Field Values

### GO_PASSAGE

    private static final String GO_PASSAGE

See Also:
  Constant Field Values

### HELP

    private static final String HELP

See Also:
  Constant Field Values

### SEARCH_LABEL

    private static final String SEARCH_LABEL

See Also:
  Constant Field Values

### GO_SEARCH

    private static final String GO_SEARCH

See Also:
  Constant Field Values

### SEARCH_FIELD

    private static final String SEARCH_FIELD

See Also:
  Constant Field Values

### ADVANCED

    private static final String ADVANCED

See Also:
  Constant Field Values

### MATCH

    private static final String MATCH

See Also:
  Constant Field Values

### BIBLE

    private static final String BIBLE

See Also:
  Constant Field Values

### INDEX

    private static final String INDEX

See Also:
  Constant Field Values

### ICON_SELECT

    private static final ImageIcon ICON_SELECT

### base

    private static int base

### title

    private String title

### listeners

    private transient List listeners

### dlgHelp

    private QuickHelpDialog dlgHelp

### actions

    private ActionFactory actions

### selected

    private Book selected

### mdlBible

    private BooksComboBoxModel mdlBible

### dlgSelect

    private PassageSelectionPane dlgSelect

### txtKey

    private JTextField txtKey

### txtSearch

    private JTextField txtSearch

### chkMatch

    private JCheckBox chkMatch

### btnAdvanced

    private JButton btnAdvanced

### btnSearch

    private JButton btnSearch

### btnKey

    private JButton btnKey

### btnKeyGo

    private JButton btnKeyGo

### advanced

    private AdvancedSearchPane advanced

### btnIndex

    private JButton btnIndex

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### DisplaySelectPane

    public DisplaySelectPane()

  General constructor

Method Detail

### initialize

    private void initialize()

  Initialize the GUI

### getBook

    public Book getBook()

  What is the currently selected Book?

### clear

    public void clear()

### isClear

    public boolean isClear()

### doMore

    public void doMore()

  More (...) button was clicked

### doGoPassage

    public void doGoPassage()

  Go button was clicked

### doGoSearch

    public void doGoSearch()

  Go button was clicked

### doPassageAction

    public void doPassageAction()

  Someone pressed return in the passage area

### doSearchAction

    public void doSearchAction()

  Someone pressed return in the search area

### doAdvanced

    public void doAdvanced()

  Someone has clicked on the advanced search button

### doMatch

    public void doMatch()

  Match is an action, but we don't need to do anything because match is only used when search is clicked. But ActionFactory will complain if we leave it out.

### doHelpAction

    public void doHelpAction()

  Someone clicked help

### doIndex

    public void doIndex()

  Someone clicked one the index button

### updateDisplay

    private void updateDisplay()

  Sync the viewed passage with the passage text box

### getTitle

    public String getTitle()

  Accessor for the default name

### setTitle

    public void setTitle(String title)

  Sets the default name

### setText

    public void setText(String text)

  Sets the default name

### changeVersion

    protected void changeVersion()

  Someone changed the version combo

### noBookInstalled

    private void noBookInstalled()

  Display a dialog indicating that no Bible is installed.

### enableComponents

    protected void enableComponents()

  Ensure that the right components are enabled

### showSelectDialog

    protected void showSelectDialog()

  Someone clicked the "..." button

### keyChanged

    public void keyChanged(KeyChangeEvent ev)

  Description copied from interface: `KeyChangeListener`
  This method is called to indicate that a key has been changed.

  Specified by:
    `keyChanged` in interface `KeyChangeListener`
  Parameters:
    `ev` - Describes the change

### addCommandListener

    public void addCommandListener(DisplaySelectListener li)

  Add a command listener

### removeCommandListener

    public void removeCommandListener(DisplaySelectListener li)

  Remove a command listener

### fireCommandMade

    protected void fireCommandMade(DisplaySelectEvent ev)

  Inform the command listeners

### fireVersionChanged

    protected void fireVersionChanged(DisplaySelectEvent ev)

  Inform the version listeners

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD